function a = angleDiff(a1, a2)
%compute difference between two angles in radians
%handle +-2pi periodicity 
%Syntax: a = angleDiff(a1, a2)


va = (a1 - a2) + [-4*pi -2*pi 0 2*pi 4*pi];
[a, idx] = min(abs(va));
a = a*sign(va(idx));
